Bug 733987 - pilot-link-libs -> pilot-link obsolete breaks upgrade path from F14
Summary: pilot-link-libs -> pilot-link obsolete breaks upgrade path from F14
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: pilot-link
Version: 15
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Peter Schiffer
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-29 04:52 UTC by Matt McCutchen
Modified: 2012-06-12 00:34 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-06-12 00:28:33 UTC


Attachments (Terms of Use)

Description Matt McCutchen 2011-08-29 04:52:19 UTC
Description of problem:
When I upgraded from F14 to F15, pilot-link-libs's obsolete for pilot-link caused pilot-link (which contains the udev rules) to be removed.  As a result, pilot-link cannot open the USB device and segfaults because it does not null check the return from usb_open.

If you just wanted pilot-link-libs to be pulled in on upgrade, the require from pilot-links is sufficient to do that.  Having two different packages obsolete the same package is generally bogus.

Version-Release number of selected component (if applicable):
pilot-link-0.12.5-5.fc15

How reproducible:
Did not retry

Steps to Reproduce:
1. Have pilot-link-0.12.5-2.fc14 installed.
2. Upgrade to F15 packages.
3. Start gpilotd and try to sync.

Actual results:
pilot-link is removed; segfault.

Expected results:
pilot-link is upgraded; successful sync.

Comment 1 Peter Schiffer 2012-06-01 17:13:42 UTC
fixed in rawhide:
pilot-link-0.12.5-11.fc18
http://koji.fedoraproject.org/koji/buildinfo?buildID=321460

Removed obsolete line and added required pilot-link-libs subpackage to the main package.

Comment 2 Fedora Update System 2012-06-01 17:30:46 UTC
pilot-link-0.12.5-11.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/pilot-link-0.12.5-11.fc17

Comment 3 Fedora Update System 2012-06-01 17:46:59 UTC
pilot-link-0.12.5-9.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/pilot-link-0.12.5-9.fc16

Comment 4 Fedora Update System 2012-06-02 03:54:51 UTC
Package pilot-link-0.12.5-9.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing pilot-link-0.12.5-9.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-8761/pilot-link-0.12.5-9.fc16
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2012-06-12 00:28:33 UTC
pilot-link-0.12.5-11.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2012-06-12 00:34:06 UTC
pilot-link-0.12.5-9.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.